Inhalte
Index 🔎︎

# Anweisung Public

Dimensioniert eine Variable oder ein Array auf Modulebene (also nicht innerhalb eine Subroutine oder Funktion), sodass die Variable oder das Array in allen Bibliotheken und Modulen gültig ist.

## Syntax:

    Public VarName[(Anfang To Ende)] [As VarTyp][, VarName2[(Anfang To Ende)] [As VarTyp][,...]]

## Beispiel:

    Public iPublicVar As Integer
    Sub ExamplePublic
        iPublicVar = iPublicVar + 1
        MsgBox iPublicVar
    End Sub